// Copyright (C) 1994 SuperChunkyCode All rights reserved.
// $Revision: 1.1 $
// November, 1994 Michael Papka
// Last Revised $Date: 1994/12/13 15:46:00 $
//
//
// Log Messages 
/* $Log: sharedmemory.h,v $
 * Revision 1.1  1994/12/13  15:46:00  papka
 * Initial revision
 * */
#ifndef superChunk_SHARED_MEMORY
#define superChunk_SHARED_MEMORY

#include <new.h>
#include <iostream.h>
#include <stdlib.h>

#include <fcntl.h>	    // open
#include <malloc.h>	    // acreate
#include <sys/mman.h>	    // mmap
#include <sys/types.h>	    // open, mmap, acreate
#include <sys/stat.h>	    // open
#include <ulocks.h>	    // usinit
#include <unistd.h>	    // unlink

#define gSC_SHARED_MEMORY_ON	1
#define gSC_SHARED_MEMORY_OFF	0

#ifdef SHARED_MEMORY
#define snew new(gSC_SHARED_MEMORY_ON)
#define sdelete delete
#else
#define snew new(gSC_SHARED_MEMORY_OFF)
#define sdelete delete
#endif

extern void *operator new(size_t size, int shared);

#endif /* End of superChunk_SHARED_MEMORY */
